<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>com.projetdev.modele</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="declaration: package: com.projetdev.modele">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="nav-bar-cell1-rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#package">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Package:</p>
<ul>
<li>Description</li>
<li><a href="#related-package-summary">Related Packages</a></li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Package:&nbsp;</li>
<li>Description&nbsp;|&nbsp;</li>
<li><a href="#related-package-summary">Related Packages</a>&nbsp;|&nbsp;</li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Package com.projetdev.modele" class="title">Package com.projetdev.modele</h1>
</div>
<hr>
<div class="package-signature">package <span class="element-name">com.projetdev.modele</span></div>
<section class="summary">
<ul class="summary-list">
<li>
<div id="related-package-summary">
<div class="caption"><span>Related Packages</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="../package-summary.html">com.projetdev</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="../controleur/package-summary.html">com.projetdev.controleur</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><a href="../vue/package-summary.html">com.projetdev.vue</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</div>
</li>
<li>
<div id="class-summary">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="class-summary-tab0" role="tab" aria-selected="true" aria-controls="class-summary.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="class-summary-tab1" role="tab" aria-selected="false" aria-controls="class-summary.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary-tab1', 2)" class="table-tab">Interfaces</button><button id="class-summary-tab2" role="tab" aria-selected="false" aria-controls="class-summary.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('class-summary', 'class-summary-tab2', 2)" class="table-tab">Classes</button></div>
<div id="class-summary.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="class-summary-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="Carre.html" title="class in com.projetdev.modele">Carre</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">La classe Carre représente un carré graphique.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="Cercle.html" title="class in com.projetdev.modele">Cercle</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">La classe Cercle représente un cercle graphique.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab1"><a href="Dessinable.html" title="interface in com.projetdev.modele">Dessinable</a></div>
<div class="col-last even-row-color class-summary class-summary-tab1">
<div class="block">L'interface Dessinable définit une méthode pour dessiner un objet graphique.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">Classe représentant un dessin libre.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="Ellipse.html" title="class in com.projetdev.modele">Ellipse</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">La classe Ellipse représente une ellipse graphique.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="Forme.html" title="class in com.projetdev.modele">Forme</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">La classe abstraite Forme représente une forme géométrique.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="Ligne.html" title="class in com.projetdev.modele">Ligne</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">La classe Ligne représente une ligne graphique.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="Rectangle.html" title="class in com.projetdev.modele">Rectangle</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">La classe Rectangle représente un rectangle graphique.</div>
</div>
</div>
</div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
